* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    line-height: 1.6;
    background-image: url(./assets/nordwood-themes-ivP3TYdLvw0-unsplash\ 1.png);
    background-size: contain;
    font-family: "Merienda", cursive;
}

button {
    font-family: "Merienda", cursive;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 2px solid #362C27;
    border-bottom: 2px solid #362C27;
    max-height: 100px;
}

.delivery {
    border: 3px solid #362C27;
    background-color: white;
    padding-inline: 2rem;
    padding-block: 0.7rem;
    color: #C2996F;
    border-radius: 20px;
    cursor: pointer;
}

.delivery:hover {
    background-color: #362C27;
    color: white !important;
    scale: 1.05;
}

.ctr {
    padding-inline: 8%;
    margin-top: 1%;
}

.nav-links {
    list-style: none;
    display: flex;
    gap: 3rem;
}

.nav-links a {
    text-decoration: none;
    color: #362C27;
}

.nav-links a:hover {
    color: #C2996F;
}

.logo {
    display: block;
    max-height: 130px;
}

.bar, .close-bar {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    z-index: 6;
    cursor: pointer;
    background-color: transparent;
    border: none; 
}

.hero {
    display: flex;
    flex-direction: row;
    gap: 5rem;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 8%;
}

.hero-img {
    width: 40%;
    height: 600px;
    border-radius: 20px;
    object-fit: cover;
    display: block;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    text-align: center;
    width: 40%;
}

.hero-text h1 {
    font-size: 3rem;
    color: #362C27;
    margin-bottom: 1rem;
}

.hero-text p {
    font-size: 1.5rem;
    color: #362C27;
    margin-bottom: 2rem;
}

.hero-button {
    color: #362C27;
    padding: 1rem 2rem;
    border: 2px solid #C2996F;
    border-radius: 20px;
    cursor: pointer;
    font-size: 1.2rem;
    background-color: white;
}

.hero-button:hover {
    background-color: #C2996F;
    color: white;
    scale: 1.05;
}

.menu {
    margin-top: 8%;
    display: flex;
    flex-direction: column;
}

.menu h2 {
    font-size: 2.5rem;
    color: #362C27;
    text-align: center;
    margin-bottom: 3rem;
}

.menu-button {
    font-size: 1.8rem;
    padding-inline: 2%;
    padding-block: 1%;
    border: 3px solid #362C27;
    background-color: white;
    cursor: pointer;
    color: #C2996F;
    border-radius: 20px;
    width: 40%;
}

.menu-button:hover {
    background-color: #362C27;
    opacity: 0.7;
    color: white;
    scale: 1.05;
}

.menu-bar {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-bottom: 8%;
}

@keyframes fadeInUp {
  from { opacity: 0; transform: translateY(20px); }
  to { opacity: 1; transform: translateY(0); }
}

body {
  animation: fadeInUp 1s ease forwards;
}

.menu-items-iced-coffee,
.menu-items-milkshakes,
.menu-items-delicious-coffee,
.menu-items-fresh-juice,
.menu-items-lemonade,
.menu-items-classic-coffee,
.menu-items-specialty-tea,
.menu-items-ice-cream,
.menu-items-hot-drinks,
.menu-items-cold-drinks,
.menu-items-cocktails-with-fruits,
.menu-items-cold-alcohol,
.menu-items-extras {
  display: none;
  flex-wrap: wrap;
  gap: 2rem;
  margin-top: 8%;
  justify-content: center;
  align-items: center;
  flex-direction: row;
}

.menu-items-iced-coffee.active,
.menu-items-milkshakes.active, 
.menu-items-delicious-coffee.active,
.menu-items-fresh-juice.active,
.menu-items-lemonade.active,
.menu-items-classic-coffee.active,
.menu-items-specialty-tea.active,
.menu-items-ice-cream.active,
.menu-items-hot-drinks.active,
.menu-items-cold-drinks.active,
.menu-items-cocktails-with-fruits.active,
.menu-items-cold-alcohol.active,
.menu-items-extras.active {
  display: flex;
}

.menu-button.active {
  background-color: #C2996F;
  color: white;
  border: 3px solid #C2996F;
}

.menu-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.3rem;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    max-width: 300px;
    width: 100%;
    height: 350px;
    background-color: rgba(236, 212, 236, 0.5);
    color: #331d12;

}

.menu-item:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}

.menu-item img {
    width: 100%;
    height: 200px;
    object-fit: cover;
    display: block;
    border-radius: 20px 20px 0 0;
}

.prices {
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
}

.price-row {
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 1rem;
}

#azn-icon {
    height: 30px;
    width: 30px;
}

.price-itself {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.gallery-images {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    justify-content: center;
    align-items: center;
    margin-top: 8%;
    flex-wrap: wrap;
}

.gallery-image {
    width: 40%;
    height: 400px;
    object-fit: cover;
    border-radius: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.gallery-image:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease;
}

.gallery h2 {
    font-size: 2.5rem;
    color: #362C27;
    text-align: center;
}

.gallery {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    margin-top: 8%;
}

.filiallar-ctr {
    display: grid;
    grid-template-areas: 
    "item1 item2"
    "item3 item4";
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto;
    gap: 3rem;
}

.filiallar {
    display: flex;
    flex-direction: column;
    margin-top: 15%;
    gap: 3rem;
    font-family: "Montserrat", sans-serif;
}

.ataturk {
    grid-area: item1;
}

.mammadamin {
    grid-area: item2;
}

.hidayetzade {
    grid-area: item3;
}

.istiqlaliyyet {
    grid-area: item4;
}


iframe {
    width: 100%;
    height: 200px;
    border-radius: 20px;
    border: none;
}

.filiallar h3 {
    font-size: 1.3rem;
    color: #362C27;
    margin-bottom: 0.4rem;
}

.filiallar p {
    font-size: 1.3rem;
    color: #362C27;
    margin-bottom: 1rem;
}

.filiallar h2 {
    font-size: 2rem;
    color: #362C27;
}

.contacts {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 1.2rem;
    margin-top: 10%;
    background-color: white;
    color: #362C27;
    font-family: "Montserrat", sans-serif;
}

.contacts h2 {
    font-size: 2rem;
    margin-bottom: 1rem;
}

.contact-row p {
    font-size: 1.1rem;
}

.socials {
    display: flex;
    gap: 1rem;
    margin-top: 1.5rem;
}

.socials img {
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.contact-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 40%;
}


.scroll-to-top {
  position: absolute;  /* Абсолютное позиционирование */
  width: 40px;
  height: 40px;
  cursor: pointer;
  opacity: 1;
  transition: opacity 0.3s ease;
  z-index: 10000;
}

.scroll-to-top.hidden {
  opacity: 0;
  pointer-events: none;
}


.scroller {
    height: 20px;
    width: 30px;
}

footer {
    display: flex;
    justify-content: space-between;
    height: 70px;
    background-color: #331d12;
    align-items: center;
    color: white;
}

@media (max-width: 1000px) {
    .contact-row {
        width: 65%;
    }

    .delivery {
        padding-inline: 1.3rem;
        padding-block: 0.3rem;
    }
    .gallery img {
        height: 300px;
    }
    
    .hero-text h1 {
        font-size: 2rem;
    }

    .hero-text p {
        font-size: 1.2rem;
    }

    .hero {
        flex-direction: column;
        align-items: center;
    }

    .hero-img {
        width: 80%;
        height: 400px;
        display: block;
    }

    .hero-text {
        width: 90%;
        align-items: center;
    }

    header {
        padding-block: 0;
    }

    .ctr {
        padding-inline: 5%;
    }

    .logo {
        max-height: 80px;
    }

    .filiallar h2 {
        font-size: 1.8rem;
    }

    .filiallar h3 {
        font-size: 1.2rem;
    }

    .filiallar p {
        font-size: 1.2rem;
    }

    .contacts h2 {
        font-size: 1.8rem;
    }

    .contacts h3 {
        font-size: 1.2rem;
    }

    .contacts p {
        font-size: 1rem;
    }
}

@media (min-width: 810px) {
    .nav-links {
        display: flex   !important;
    }

    .bar, .close-bar {
        display: none   !important;
    }

}

@media (max-width: 810px) {
    .filiallar h3 {
        font-size: 1rem;
    }

    .filiallar p {
        font-size: 1rem;
    }

    .menu-button {
        font-size: 1.3rem;
    }

    .contact-row {
        flex-direction: column;
        width: 90%;
        align-items: flex-start;
    }

    .gallery img {
        height: 200px;
    }

    .ctr {
        padding-inline: 3%;
    }

    iframe {
        height: 150px;
    }

    .hero-img {
        height: 300px;
    }
    
    nav {
        display: none;
    }


    .forMobilBar{
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        width: 70%;
        height: 100vh;
        background-color: white;
        padding-top: 30%;
        padding-left: 3%;
        z-index: 5;
    }


    .forMobilBar .nav-links {
        display: flex;
        flex-direction: column;
        gap: 0;
    }

    .forMobilBar .nav-links > * {
        padding: 15px;
        transition: all 1s;
    }

    .forMobilBar .nav-links > *:hover {
        cursor: pointer; 
    }
}

@media (max-width: 680px) {
    .menu-button {
        width: 90%;
        padding-block: 1rem;
    }

    .filiallar p {
        font-size: 0.9rem;
    }

}

@media (max-width:610px) {
    .filiallar p {
        font-size: 0.8rem;
    }
}

@media (max-width:550px) {
    .filiallar-ctr {
        grid-template-areas: 
        "item1"
        "item2"
        "item3"
        "item4";
        grid-template-columns: 1fr;
    }

    
}

@media (max-width: 440px) {
    .gallery-images {
        gap: 1rem;
    }
    
    iframe {
        height: 180px;
    }

    .hero-button {
        width: 90%;
    }

    .ctr {
        padding-inline: 2%;
    }

    .hero p {
        font-size: 1rem;
    }

    .gallery h2 {
        font-size: 1.5rem;
    }

    .filiallar h2 {
        font-size: 1.5rem;
    }

    .menu h2 {
        font-size: 1.5rem;
    }

    .contacts h2 {
        font-size: 1.5rem;
    }

    .menu-button {
        font-size: 1rem;
        width: 90%;
    }

    footer p {
        font-size: 0.8rem;
    }
}


@media (max-width: 360px) {
    .filiallar h3 {
        font-size: 0.9rem;
    }

    .filiallar p {
        font-size: 0.8rem;
    }
}
